Package org.apache.tapestry5.hibernate.web.internal

## Class EntityApplicationStatePersistenceStrategy

- java.lang.Object
- - org.apache.tapestry5.internal.services.SessionApplicationStatePersistenceStrategy
  - - org.apache.tapestry5.hibernate.web.internal.EntityApplicationStatePersistenceStrategy

- All Implemented Interfaces:
    `ApplicationStatePersistenceStrategy`

      public class EntityApplicationStatePersistenceStrategy
      extends SessionApplicationStatePersistenceStrategy

  Persists Hibernate entities as SSOs by storing their primary key in the `Session`.
  See Also:
    `PersistedEntity`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EntityApplicationStatePersistenceStrategy​(Request request, org.hibernate.Session hibernateSession)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `get​(Class<T> ssoClass, ApplicationStateCreator<T> creator)` | Gets the SSO from the domain.
    `<T> void` | `set​(Class<T> ssoClass, T sso)` | Stores a new SSO, possibly replacing the existing one.

    - ### Methods inherited from class org.apache.tapestry5.internal.services.SessionApplicationStatePersistenceStrategy

      `buildKey, exists, getIfExists, getOrCreate, getSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityApplicationStatePersistenceStrategy

          public EntityApplicationStatePersistenceStrategy​(Request request,
                                                           org.hibernate.Session hibernateSession)

  - ### Method Detail

    - #### get

          public <T> T get​(Class<T> ssoClass,
                           ApplicationStateCreator<T> creator)

      Description copied from interface: `ApplicationStatePersistenceStrategy`
      Gets the SSO from the domain. If the SSO does not already exist, it is created and stored, then returned.
      Specified by:
        `get` in interface `ApplicationStatePersistenceStrategy`
      Overrides:
        `get` in class `SessionApplicationStatePersistenceStrategy`

    - #### set

          public <T> void set​(Class<T> ssoClass,
                              T sso)

      Description copied from interface: `ApplicationStatePersistenceStrategy`
      Stores a new SSO, possibly replacing the existing one.
      Specified by:
        `set` in interface `ApplicationStatePersistenceStrategy`
      Overrides:
        `set` in class `SessionApplicationStatePersistenceStrategy`
        `sso` - instance to store, or null to delete existing